Debian::Upstream::Metadata::Perl(3pm)

NAME
Debian::Upstream::Metadata::Perl -- debian/upstream/metadata for Perl modules

SYNOPSIS
 use Debian::Upstream::Metadata::Perl;

 Debian::Upstream::Metadata::Perl->convert(
    CPAN::Meta->new('META.yaml'),
    'debian/upstream/metadata');

DESCRIPTION
"Debian::Upstream::Metadata::Perl" is a helper module which can be used to convert the data in a CPAN::Meta object to a debian/upstream/metadata files, according to the UpstreamMetadata specification.

Please, note that upstream links will be switched to https URLs.

METHODS

convert (CPAN::Meta object, filename)
    Not exported function, cf. SYNOPSIS.

SEE ALSO

•   CPAN::Meta::Spec

•   UpstreamMetadata <https://wiki.debian.org/UpstreamMetadata>

COPYRIGHT AND LICENSE

Copyright 2013-2021, gregor herrmann gregoa@debian.org
Copyright 2016, Alex Muntada alexm@alexm.org
Copyright 2022, Damyan Ivanov dmn@debian.org

This program is free software and can be distributed under the same terms as Perl.